Уязвимость BDU:2022-05598

Дата: 06.09.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-05598.

Наименование уязвимости: Уязвимость библиотеки vm2 пакетного менеджера NPM, позволяющая нарушителю выполнить произвольный код.

Описание уязвимости: Уязвимость библиотеки vm2 пакетного менеджера NPM связана с недостаточным контролем ресурсов с динамическим управлением. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить произвольный код
Уязвимое ПО: Прикладное ПО информационных систем Node.js Foundation vm2 до 3.9.11 |

Наименование ОС и тип аппаратной платформы:
Дата выявления: 06.09.2022.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 10)

Возможные меры по устранению:
Использование рекомендаций:
https://github.com/patriksimek/vm2/security/advisories/GHSA-mrgp-mrhc-5jrq
https://github.com/patriksimek/vm2/issues/467
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-36067.

Тип ошибки CWE: CWE-913
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://github.com/patriksimek/vm2/blob/master/lib/setup-sandbox.js#L71
https://github.com/patriksimek/vm2/commit/d9a7f3cc995d3d861e1380eafb886cb3c5e2b873#diff-b1a515a627d820118e76d0e323fe2f0589ed50a1eacb490f6c3278fe3698f164
https://github.com/patriksimek/vm2/issues/467
https://github.com/patriksimek/vm2/security/advisories/GHSA-mrgp-mrhc-5jrq

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *